Subject: [MMUSIC] Image attribute and layered coding

From: "Ingemar Johansson S" <[email-masked]>
Date: Fri, 2 Oct 2009 19:51:24 +0200

Hi

After a period of silence I am in the process of updating the image attrubute draft. 
I have an issue with the image attribute and how it can be used with layered codecs.

>From RFC5583 one can take the following example 
         v=0
         o=svcsrv 289083124 289083124 IN IP4 host.example.com
         s=LAYERED VIDEO SIGNALING Seminar
         t=0 0
         c=IN IP4 192.0.2.1/127
         a=group:DDP L1 L2 L3
         m=video 40000 RTP/AVP 96 97
         b=AS:90
         a=framerate:15
         a=rtpmap:96 H264/90000
         a=rtpmap:97 H264/90000
         a=mid:L1
         m=video 40002 RTP/AVP 98 99
         b=AS:64
         a=framerate:15
         a=rtpmap:98 H264-SVC/90000
         a=rtpmap:99 H264-SVC/90000
         a=mid:L2
         a=depend:98 lay L1:96,97; 99 lay L1:97
         m=video 40004 RTP/AVP 100 101
         b=AS:128
         a=framerate:30
         a=rtpmap:100 H264-SVC/90000
         a=rtpmap:101 H264-SVC/90000
         a=mid:L3
         a=depend:100 lay L1:96,97; 101 lay L1:97 L2:99

My headache is where the imageattr fits best (if possible). I guess the obvious is to put the same attribute in every media description. This is of course a lot of repetitions of likely the same attribute (after all the display is the same)

One alternative is make it possible to use the image attribute as a session attribute, it is not forbidden in the current draft version but I have up until now assumed that the attribute is limited to the media description..

Comments ?

/Ingemar

=================================
INGEMAR JOHANSSON  M.Sc. 
Senior Research Engineer 

Ericsson AB
Multimedia Technologies
Labratoriegränd 11
971 28, Luleå, Sweden
Phone +46-1071 43042
SMS/MMS +46-73 078 3289
[email-masked]
www.ericsson.com 
Visit http://labs.ericsson.com !
=================================